{% load i18n tz slow_promote %}

<div {% if html_id %}id="{{ html_id }}" {% endif %}class="message card mb-5" aria-description="{{ aria_description }}">
    <div class="card-body row">

        {# Message infos left block#}
        <div class="col-3 vstack gap-2 text-body-secondary border-end" aria-description="{% translate "Message infos" %}">

            {# Created by #}
            <div class="created_by" aria-description="{% translate "Created by" %}">
                {% promote_profile created_by.profile %}
            </div>

            {# Created on #}
            <div class="created_on" aria-description="{% translate "Created on" %}">
                {{ created_on|localtime|date:"DATETIME_FORMAT" }}
            </div>            
            
        </div>

        {# Message itself and its actions, right block #}
        <div class="col-9">

            {# Message in HTML #}
            <div class="message_text" aria-description="{% translate "Message text" %}">
                {{ message_html|safe }}
            </div>

            {# Message edition infos and actions #}

            <div class="editions_and_actions d-flex mt-3" aria-description="{% translate "Message edition informations and actions" %}">

                {# Edition infos #}

                {% if edited %}
                    
                    <div class="edited me-auto hstack gap-2 text-body-secondary" aria-description="{% translate "Message edition informations" %}">
                        {% if show_extra_edition_infos %}

                            {# Edited on#}
                            
                            <div class="edited_on ms-2">
                                <small><i class="bi bi-pencil" title="{% translate "Edited" %}"></i> {{ edited_on|localtime|date:"DATETIME_FORMAT" }}</small>
                            </div>

                            {# Edited by #}
                            
                            <div class="edited_by">
                                <small>
                                    {% translate "By" %} <a href="{{ created_by.profile.get_absolute_url }}">
                                    {{ edited_by.profile.nickname|escape }}
                                    </a>
                                </small>
                            </div>

                            {# Edited by User #}
                            
                            <div class="edited_by">
                                <small>
                                    ({% translate "User:" %} {{ edited_by.username|escape }})
                                </small>
                            </div>
                            
                        {% else %}

                            <div class="edited_on">
                                <i class="bi bi-pencil" titleclass="{% translate "Edited" %}"></i> {{ edited_on|localtime|date:"DATETIME_FORMAT" }}
                            </div>

                            {# Edited by #}
                            
                            <div class="edited_by">
                                {% translate "by" %} <a href="{{ created_by.profile.get_absolute_url }}">
                                {{ edited_by.profile.nickname|escape }}
                                </a>
                            </div>
                            
                        {% endif %}
                    </div>
                    
                {% endif %}
                
                {# Actions #}
                {% if actions %}
                    <div class="message_actions ms-auto hstack gap-3" aria-description="{% translate "Actions on message" %}">

                        {# Edition button #}
                        <a class="" href="{{ absolute_url }}" title="{% translate "Link to this message" %}">
                            <i class="fs-5 bi bi-link"></i>
                        </a>
                        
                        {# Edition button #}
                        {% if edit_url %}
                            <a class="" href="{{ edit_url }}">
                                {% translate "Edit" %}
                            </a>
                        {% endif %}

                        {# Delete button #}
                        {% if delete_url %}
                            <a class="" href="{{ delete_url }}">
                                {% translate "Delete" %}
                            </a>
                        {% endif %}

                    </div>
                {% endif %}

            </div>
            
        </div>
        
    </div>
</div>
